Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs	(revision 60)
@@ -38,7 +38,9 @@
             OrderersCode,
             TargetDate,
             SeqNo,
+            BusinessPeriod,
             DepositDate,
+            DepositAmount,
             DepositAmountCash,
             DepositAmountBill,
             EntryDate,
@@ -73,7 +75,9 @@
             strcmd += ",OrderersCode";
             strcmd += ",TargetDate";
             strcmd += ",SeqNo";
+            strcmd += ",BusinessPeriod";
             strcmd += ",DATE_FORMAT(DepositDate, '%Y/%m/%d')";
+            strcmd += ",DepositAmount";
             strcmd += ",DepositAmountCash";
             strcmd += ",DepositAmountBill";
             strcmd += ",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -209,7 +213,9 @@
                     strcmd += string.Format(", {0}", data.OrderersCode.ToString());
                     strcmd += string.Format(", {0}", data.TargetDate.ToString());
                     strcmd += string.Format(", {0}", data.SeqNo.ToString());
+                    strcmd += string.Format(", {0}", data.BusinessPeriod.ToString());
                     strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.DepositDate.ToShortDateString());
+                    strcmd += string.Format(", {0}", data.DepositAmount.ToString());
                     strcmd += string.Format(", {0}", data.DepositAmountCash.ToString());
                     strcmd += string.Format(", {0}", data.DepositAmountBill.ToString());
                     strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
@@ -249,7 +255,9 @@
                 strcmd += string.Format(",OrderersCode = {0}", data.OrderersCode.ToString());
                 strcmd += string.Format(",TargetDate = {0}", data.TargetDate.ToString());
                 strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
+                strcmd += string.Format(",BusinessPeriod = {0}", data.BusinessPeriod.ToString());
                 strcmd += string.Format(",DepositDate = DATE_FORMAT('{0}','%Y%m%d')", data.DepositDate.ToString());
+                strcmd += string.Format(",DepositAmount = {0}", data.DepositAmount.ToString());
                 strcmd += string.Format(",DepositAmountCash = {0}", data.DepositAmountCash.ToString());
                 strcmd += string.Format(",DepositAmountBill = {0}", data.DepositAmountBill.ToString());
                 strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
@@ -309,7 +317,9 @@
                 wrk.OrderersCode = int.Parse(objwrk[(int)ColumnName.OrderersCode].ToString());
                 wrk.TargetDate = objwrk[(int)ColumnName.TargetDate].ToString();
                 wrk.SeqNo = int.Parse(objwrk[(int)ColumnName.SeqNo].ToString());
+                wrk.BusinessPeriod = int.Parse(objwrk[(int)ColumnName.BusinessPeriod].ToString());
                 wrk.DepositDate = DateTime.Parse(objwrk[(int)ColumnName.DepositDate].ToString());
+                wrk.DepositAmount = int.Parse(objwrk[(int)ColumnName.DepositAmount].ToString());
                 wrk.DepositAmountCash = int.Parse(objwrk[(int)ColumnName.DepositAmountCash].ToString());
                 wrk.DepositAmountBill = int.Parse(objwrk[(int)ColumnName.DepositAmountBill].ToString());
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs	(revision 60)
@@ -87,7 +87,7 @@
                 strcmd = "SELECT";
                 strcmd += " OrderersDivision";
                 strcmd += " ,OrderersCode";
-                strcmd += " ,DATE_FORMAT(TargetDate, '%Y/%m/%d')";
+                strcmd += " ,CAST(TargetDate As Char)";
                 strcmd += " ,SeqNo";
                 strcmd += " ,LineCount";
                 strcmd += " ,RequestNo";
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs	(revision 60)
@@ -0,0 +1,560 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 請求書データアクセスクラス
+    /// </summary>
+    public class IOInvoiceData : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 請求データフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            InvoiceNo = 0,
+            OrderersDivision,
+            OrderersCode,
+            RequestMonth,
+            SeqNo,
+            CretateDate,
+            RequestDate,
+            RequestName,
+            TotalAmount,
+            TaxAmount,
+            Comment1,
+            Comment2,
+            Comment3,
+            Comment4,
+            Comment5,
+            CompleteFlg,
+            ENTRY_DATE,
+            UPDATE_DATE,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="connectionString"></param>
+        public IOInvoiceData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+
+        #region 請求書データ検索(１件取得)
+        /// <summary>
+        /// 請求書データ検索(複数件取得)
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref InvoiceData data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL();
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+        #region 請求書データ検索(複数件取得)
+        /// <summary>
+        /// 請求書データ検索(複数件取得)
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<InvoiceData> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL();
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    InvoiceData work = new InvoiceData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書データ複数追加
+        /// <summary>
+        /// 請求書データ複数追加
+        /// </summary>
+        /// <param name="data">請求データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<InvoiceData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (InvoiceData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書データ１件追加
+        /// <summary>
+        /// 請求書データ１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(InvoiceData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO InvoiceData";
+                strcmd += " VALUES (";
+
+                strcmd += string.Format(" {0}", data.InvoiceNo.ToString());
+                strcmd += string.Format(", {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(", {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(", {0}", data.RequestMonth.ToString());
+                strcmd += string.Format(", {0}", data.SeqNo.ToString());
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.CretateDate.ToShortDateString());
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.RequestDate.ToShortDateString());
+                strcmd += string.Format(", '{0}'", data.RequestName.ToString());
+                strcmd += string.Format(", {0}", data.TotalAmount.ToString());    
+                strcmd += string.Format(", {0}", data.TaxAmount.ToString());
+                strcmd += string.Format(", '{0}'", data.Comment1.ToString());
+                strcmd += string.Format(", '{0}'", data.Comment2.ToString());
+                strcmd += string.Format(", '{0}'", data.Comment3.ToString());
+                strcmd += string.Format(", '{0}'", data.Comment4.ToString());
+                strcmd += string.Format(", '{0}'", data.Comment5.ToString());
+                strcmd += string.Format(", {0}", data.CompleteFlg.ToString());
+                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書データ更新
+        /// <summary>
+        /// 請求データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">請求書データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, InvoiceData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE InvoiceData";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" OrderersDivision = {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(", OrderersCode = {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(", RequestMonth = {0}", data.RequestMonth.ToString());
+                strcmd += string.Format(", SeqNo = {0}", data.SeqNo.ToString());
+                strcmd += string.Format(", CretateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CretateDate.ToShortDateString());
+                strcmd += string.Format(", RequestDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.RequestDate.ToShortDateString());
+                strcmd += string.Format(", RequestName = '{0}'", data.RequestName.ToString());
+                strcmd += string.Format(", TotalAmount = {0}", data.TotalAmount.ToString());
+                strcmd += string.Format(", TaxAmount = {0}", data.TaxAmount.ToString());
+                strcmd += string.Format(", Comment1 = '{0}'", data.Comment1.ToString());
+                strcmd += string.Format(", Comment2 = '{0}'", data.Comment2.ToString());
+                strcmd += string.Format(", Comment3 = '{0}'", data.Comment3.ToString());
+                strcmd += string.Format(", Comment4 = '{0}'", data.Comment4.ToString());
+                strcmd += string.Format(", Comment5 = '{0}'", data.Comment5.ToString());
+                strcmd += string.Format(", CompleteFlg = {0}", data.CompleteFlg.ToString());
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書データ削除
+        /// <summary>
+        /// 請求データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM InvoiceData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref InvoiceData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.InvoiceNo = int.Parse(objwrk[(int)NameColumn.InvoiceNo].ToString());
+                
+                wrk.OrderersDivision = int.Parse(objwrk[(int)NameColumn.OrderersDivision].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)NameColumn.OrderersCode].ToString());
+                wrk.RequestMonth = int.Parse(objwrk[(int)NameColumn.RequestMonth].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)NameColumn.SeqNo].ToString());
+
+                wrk.CretateDate = DateTime.Parse(objwrk[(int)NameColumn.CretateDate].ToString());
+                wrk.RequestDate = DateTime.Parse(objwrk[(int)NameColumn.RequestDate].ToString());
+
+                wrk.RequestName = objwrk[(int)NameColumn.RequestName].ToString();
+
+                wrk.TotalAmount = int.Parse(objwrk[(int)NameColumn.TotalAmount].ToString());
+                wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+
+                wrk.Comment1 = objwrk[(int)NameColumn.Comment1].ToString();
+                wrk.Comment2 = objwrk[(int)NameColumn.Comment2].ToString();
+                wrk.Comment3 = objwrk[(int)NameColumn.Comment3].ToString();
+                wrk.Comment4 = objwrk[(int)NameColumn.Comment4].ToString();
+                wrk.Comment5 = objwrk[(int)NameColumn.Comment5].ToString();
+
+                wrk.CompleteFlg = int.Parse(objwrk[(int)NameColumn.CompleteFlg].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref InvoiceData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.InvoiceNo = 0;
+                
+                wrk.OrderersDivision = 0;
+                wrk.OrderersCode = 0;
+                wrk.RequestMonth = 0;
+                wrk.SeqNo = 0;
+                
+                wrk.CretateDate = DateTime.MinValue;
+                wrk.RequestDate = DateTime.MinValue;
+                
+                wrk.RequestName = "";
+                
+                wrk.TotalAmount = 0;
+                wrk.TaxAmount = 0;
+                
+                wrk.Comment1 = "";
+                wrk.Comment2 = "";
+                wrk.Comment3 = "";
+                wrk.Comment4 = "";
+                wrk.Comment5 = "";
+
+                wrk.CompleteFlg = 0;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="InvoiceNo">請求書No</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int InvoiceNo)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where InvoiceNo = {0}", InvoiceNo.ToString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region サブキー検索の文字列を返す
+        /// <summary>
+        /// サブキー検索の文字列を返す
+        /// </summary>
+        /// <param name="OrderersDivision">発注者区分</param>
+        /// <param name="OrderersCode">発注者コード</param>
+        /// <param name="RequestMonth">請求月</param>
+        /// <param name="SeqNo">連番</param>
+        /// <returns>Where文字列</returns>
+        public string CreateSubkeyString(int OrderersDivision, int OrderersCode, int RequestMonth = -1, int SeqNo = -1 )
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where OrderersDivision = {0} and OrderersCode = {1}", OrderersDivision.ToString(),OrderersCode.ToString() );
+                if( RequestMonth != -1 ){
+                    strWork += string.Format(" and RequestMonth = {0}", RequestMonth.ToString() ) ;
+                }
+                if( SeqNo != -1 ){
+                    strWork += string.Format(" and SeqNo = {0}", SeqNo.ToString() ) ;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 請求書Noの採番
+        public int NumberingInvoiceNo(int RequestMonth, bool bConnect = true)
+        {
+            int ret = -1;
+
+            string sql = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                sql = string.Format("SELECT IFNULL(MAX(InvoiceNo),0) FROM InvoiceData WHERE RequestMonth = {0}", RequestMonth);
+
+                // SQL実行
+                if (!ExecuteReader(sql, ref arData, bConnect)) return -1;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ret = int.Parse(objwrk[0].ToString());
+                    break;
+                }
+
+                if (ret > 0)
+                {
+                    ret++;
+                }
+                else
+                {
+                    ret = (RequestMonth * 1000) + 1;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, sql);
+            }
+
+            return ret;
+
+        }
+        #endregion
+
+        #region 連番の採番
+        public int NumberingSeqNo(int nOrderersDivision, int nOrderersCode, int RequestMonth, bool bConnect = true)
+        {
+            int ret = -1;
+
+            string sql = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                sql = "SELECT IFNULL(MAX(SeqNo),0) FROM InvoiceData" ;
+                sql += string.Format(" WHERE OrderersDivision = {0}", nOrderersDivision);
+                sql += string.Format(" AND OrderersCode = {0}", nOrderersCode);
+                sql += string.Format(" AND RequestMonth = {0}", RequestMonth);
+
+                // SQL実行
+                if (!ExecuteReader(sql, ref arData, bConnect)) return -1;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ret = int.Parse(objwrk[0].ToString());
+                    break;
+                }
+
+                ret++;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, sql);
+            }
+
+            return ret;
+
+        }
+        #endregion
+
+        #region SELECT　SQL作成
+        private string CreateSelectSQL()
+        {
+            string strcmd = "SELECT";
+            strcmd += " InvoiceNo";
+            strcmd += " ,OrderersDivision";
+            strcmd += " ,OrderersCode";
+            strcmd += " ,RequestMonth";
+            strcmd += " ,SeqNo";
+            strcmd += " ,DATE_FORMAT(CretateDate, '%Y/%m/%d')";
+            strcmd += " ,DATE_FORMAT(RequestDate, '%Y/%m/%d')";
+            strcmd += " ,RequestName";
+            strcmd += " ,TotalAmount";
+            strcmd += " ,TaxAmount";
+            strcmd += " ,Comment1";
+            strcmd += " ,Comment2";
+            strcmd += " ,Comment3";
+            strcmd += " ,Comment4";
+            strcmd += " ,Comment5";
+            strcmd += " ,CompleteFlg";
+            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM InvoiceData";
+
+            return strcmd;
+        }
+        #endregion
+
+
+    }
+
+}
+
